# Poco::Net

# class HTTPBasicCredentials

Library: Net
Package: HTTP
Header: Poco/Net/HTTPBasicCredentials.h

## Description

This is a utility class for working with HTTP Basic Authentication in HTTPRequest objects.

## Member Summary

Member Functions: authenticate, getPassword, getUsername, setPassword, setUsername

## Constructors

### HTTPBasicCredentials

HTTPBasicCredentials();

Creates an empty HTTPBasicCredentials object.

### HTTPBasicCredentials

explicit HTTPBasicCredentials(
const HTTPRequest & request
);

Creates a HTTPBasicCredentials object with the authentication information from the given request.

Throws a NotAuthenticatedException if the request does not contain basic authentication information.

### HTTPBasicCredentials

HTTPBasicCredentials(
const std::string & username,
const std::string & password
);

Creates a HTTPBasicCredentials object with the given username and password.

## Destructor

### ~HTTPBasicCredentials

~HTTPBasicCredentials();

Destroys the HTTPBasicCredentials.

## Member Functions

### authenticate

void authenticate(
HTTPRequest & request
);

Adds authentication information to the given HTTPRequest.

### getPassword

const std::string & getPassword() const;

Returns the password.

### getUsername

const std::string & getUsername() const;

Returns the username.

### setPassword

void setPassword(
const std::string & password
);

Sets the password.

### setUsername

void setUsername(
const std::string & username
);

Sets the username.

## Variables

### SCHEME

static const std::string SCHEME;